# Chan-Like Addon

A simple plugin which can be used to give Freechat a more _chan-like_ experience where messages are not saved forever.

This is basically another chronjob script that will execute every few minutes or so, removing old content unles otherwise specified.


## Options and what they do

* time-out [VALUE] : sets an expiration timer for messages (on the order of days)

Example : `--time-out 30` messages older than 30 days will be deletede

* message-limit [VALUE] : sets the max number of messages allowed in each channel

Example : `--message-limit 1000` after 1000 messages the oldest message will be removed to keep the amount of messages to around 1000.

NOTE : this creates a new process if --no-poll is specified

* --no-poll : Opt out of polling and listen for changes in the database 

